%define	upstream_name	 PadWalker
%define upstream_version 2.2

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Play with other peoples' lexical variables
License:    Artistic/GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://search.cpan.org/CPAN/authors/id/R/RO/ROBIN/%{upstream_name}-%{upstream_version}.tar.gz

%{?perl_default_filter}
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
PadWalker is a module which allows you to inspect (and even change!) lexical
variables in any subroutine which called you. It will only show those variables
which are in scope at the point of the call.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorarch}/PadWalker.pm
%{perl_vendorarch}/auto/PadWalker
%{_mandir}/*/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 2.200.0-2.mga6
+ Revision: 1031625
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 shlomif <shlomif> 2.200.0-1.mga6
+ Revision: 923875
- update to 2.2

* Fri Jun 26 2015 tv <tv> 2.100.0-2.mga6
+ Revision: 845065
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 2.100.0-1.mga6
+ Revision: 841377
- New version 2.1 + Rebuild for the new perl-5.22.0

* Sun Oct 19 2014 umeabot <umeabot> 1.980.0-6.mga5
+ Revision: 790027
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.980.0-5.mga5
+ Revision: 747710
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.980.0-4.mga5
+ Revision: 733202
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.980.0-3.mga5
+ Revision: 685855
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.980.0-2.mga5
+ Revision: 631560
- Rebuild for perl 5.20

* Mon Feb 10 2014 jquelin <jquelin> 1.980.0-1.mga5
+ Revision: 588549
- update to 1.98

* Sat Oct 19 2013 umeabot <umeabot> 1.960.0-5.mga4
+ Revision: 524441
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.960.0-4.mga4
+ Revision: 430925
- perl 5.18.0 rebuild

* Wed May 29 2013 tv <tv> 1.960.0-3.mga4
+ Revision: 430117
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 1.960.0-2.mga3
+ Revision: 371380
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 1.960.0-1.mga3
+ Revision: 286370
- update to 1.96

* Wed Jul 04 2012 jquelin <jquelin> 1.940.0-1.mga3
+ Revision: 267447
- update to 1.94

* Wed May 30 2012 jquelin <jquelin> 1.930.0-2.mga3
+ Revision: 251008
- rebuild for perl 5.16

* Thu Feb 23 2012 jquelin <jquelin> 1.930.0-1.mga2
+ Revision: 213152
- update to 1.93

* Sat Jun 11 2011 sander85 <sander85> 1.920.0-3.mga2
+ Revision: 104157
- perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 1.920.0-2.mga1
+ Revision: 31019
- mageia rebuild
- imported package perl-PadWalker

